#
# ATRef_Book.py
#
# Referencias bibliográficas basadas en BibTex
#
# Trabajo impreso con editorial definida
#
# Alejandro Álvarez Ayllón - 01/04/2006
#

from Products.Archetypes.public import BaseSchema, Schema
from Products.Archetypes.public import StringField, ImageField
from Products.Archetypes.public import StringWidget, ImageWidget
from Products.CMFCore import CMFCorePermissions
from Products.Archetypes.public import BaseContent, registerType
from config import PROJECTNAME
from ATRef_Booklet import ATRef_Booklet

# Campos
schema = ATRef_Booklet.schema +  Schema((
    StringField('publisher',
                searchable = 1,
		widget = StringWidget(label       = 'Editorial',
                                      label_msgid = 'publisher',
                                      i18n_domain = 'References',
                                      )
                ),
    StringField('isbn',
		widget = StringWidget(label       = 'ISBN',
                                      label_msgid = 'ISBN',
                                      i18n_domain = 'References',
                                      )
              ),
    ImageField('cover',
		widget = ImageWidget(label       = 'Portada',
                                     label_msgid = 'cover',
                                     i18n_domain = 'References',
                                     )
	      ),

    ),
                              )
# Clase
class ATRef_Book(ATRef_Booklet):
    """Book Reference"""

    schema = schema

    content_icon    = 'ref_book.gif'
    meta_type       = 'ATRef_Book'
    portal_type     = 'BookReference'
    archetype_name  = 'Book Reference'
    typeDescription = 'Book Reference'
    typeDescMsgId   = 'description_ref_book'

    actions = ({ 'id'        : 'view',
		'name'       : 'View',
		'action'     : 'string:${object_url}/book_view',
		'permissions': (CMFCorePermissions.View,)
	},)


# Registrar el tipo
registerType(ATRef_Book, PROJECTNAME)
